apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
- imagestream.yaml
- buildconfig.yaml

generatorOptions:
  disableNameSuffixHash: true
  
secretGenerator:
- name: deploy-key
  files:
    - ssh-privatekey=deploy-key
  type: "kubernetes.io/ssh-auth"